# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\ci\containers\00003gmdtvf\tmp\build\80754af9\rsync-recipes\pyinstaller-3.6-python_3.8-on-winbuilder, last modified Wed Mar 17 03:05:40 2021
# ------------------------------------------------

package:
  name: pyinstaller
  version: '3.6'
source:
  fn: PyInstaller-3.6.tar.bz2
  patches:
    - 0001-depend-bindepend-find-statically-linked-libraries.patch
    - 0002-Bootloader-build-Fallback-to-a-default-min-macOS-ver.patch
    - 0003-hooks-Update-pkg_resources-hook-for-setuptools-v45.0.patch
    - 0004-Python-3.8-multiprocessing.resource_tracker-fix.patch
  sha256: 3730fa80d088f8bb7084d32480eb87cbb4ddb64123363763cf8f2a1378c1c4b7
  url: https://pypi.io/packages/source/P/PyInstaller/PyInstaller-3.6.tar.gz
build:
  entry_points:
    - pyi-archive_viewer = PyInstaller.utils.cliutils.archive_viewer:run
    - pyi-bindepend = PyInstaller.utils.cliutils.bindepend:run
    - pyi-grab_version = PyInstaller.utils.cliutils.grab_version:run
    - pyi-makespec = PyInstaller.utils.cliutils.makespec:run
    - pyi-set_version = PyInstaller.utils.cliutils.set_version:run
    - pyinstaller = PyInstaller.__main__:run
  ignore_run_exports:
    - vc
    - vs2015_runtime
  number: '6'
  preserve_egg_dir: true
  script:
    - pushd bootloader
    - waf --prefix="%LIBRARY_PREFIX%" distclean all
    - popd
    - C:\ci\pyinstaller_1615968685947\_h_env\python.exe -m pip install . --no-deps
      -vv
  string: py38h8cc25b3_6
requirements:
  build:
    - ca-certificates 2021.1.19 haa95532_1
    - certifi 2020.12.5 py38haa95532_0
    - m2-gcc-libs 5.3.0 4
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - msys2-conda-epoch 20160418 1
    - openssl 1.1.1j h2bbff1b_0
    - pip 21.0.1 py38haa95532_0
    - python 3.8.8 hdbf39b2_4
    - setuptools 52.0.0 py38haa95532_0
    - sqlite 3.35.1 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.7.1 h21ff451_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py38_0
  host:
    - ca-certificates 2021.1.19 haa95532_1
    - certifi 2020.12.5 py38haa95532_0
    - openssl 1.1.1j h2bbff1b_0
    - pip 21.0.1 py38haa95532_0
    - python 3.8.8 hdbf39b2_4
    - setuptools 52.0.0 py38haa95532_0
    - sqlite 3.35.1 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - waf 2.0.22 py38h2bbff1b_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py38_0
  run:
    - altgraph
    - macholib >=1.8
    - pefile >=2017.9.3
    - pycryptodome
    - python >=3.8,<3.9.0a0
    - pywin32
    - pywin32-ctypes
    - setuptools
test:
  commands:
    - pyinstaller --help
    - pyi-archive_viewer --help
    - pyi-bindepend --help
    - pyi-makespec --help
    - pyi-grab_version --help
    - pyi-set_version --help
  files:
    - hello.py
    - multiprocessing_test.py
  imports:
    - PyInstaller
about:
  home: http://www.pyinstaller.org
  license: GPL-2.0-or-later
  license_family: GPL
  license_file: COPYING.txt
  summary: PyInstaller bundles a Python application and all its dependencies into
    a single package.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - hadim
    - jakirkham
    - mingwandroid
    - nehaljwani
    - nicoddemus
